# CustomizableHtmlReport

interface CustomizableHtmlReport : SingleFileReport

A HTML Report whose generation can be customized with a XSLT stylesheet.

## Properties

NAMER
Link copied to clipboard
val NAMER: Namer<Report>

## Functions

configure
Link copied to clipboard
abstract fun configure(cl: Closure): T
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getOutputLocation
Link copied to clipboard
abstract fun getOutputLocation(): Property<out FileSystemLocation>
abstract fun getOutputLocation(): RegularFileProperty
getOutputType
Link copied to clipboard
abstract fun getOutputType(): Report.OutputType
getRequired
Link copied to clipboard
abstract fun getRequired(): Property<Boolean>
getStylesheet
Link copied to clipboard
@Nullable
@Optional
abstract fun getStylesheet(): @Nullable TextResource
The stylesheet to use to generate the HTML report.
setStylesheet
Link copied to clipboard
abstract fun setStylesheet(@Nullable stylesheet: @Nullable TextResource)
The stylesheet to use to generate the report.